

import { defRedisClient } from './Redis';
import { RedisCfg, TYConfig } from './Common';



/**
 * 
 * @date 2023-02-16 15:26:29
 * @author 鲜伟坚
 */
class Config {

    static mTYConfig: TYConfig

    /**初始化redis */
    static async  initRedisConfig(cfg: RedisCfg) {
        return Promise.all([
            defRedisClient.connect(cfg)
        ]);
    }

    /**初始化统一平台配置 */
    static async initTYApiConfig(cfg: TYConfig) {
        this.mTYConfig = cfg
    }

    // 获取统一接口环境参数
    static getTYApiConfig(): TYConfig {
        return this.mTYConfig
    }
}

export { Config }